Forhopp

Create documentation

Creates a documentation resource with the specified parameters.

Endpoint

POST /charges
POST/charges
curl -X POST https://api.forhopp.com/v1/charges \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Retrieve documentation

Retrieves a documentation resource with the specified parameters.

Endpoint

GET /charges/{charge_id}
GET/charges/{charge_id}
curl -X GET https://api.forhopp.com/v1/charges/{charge_id} \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Retrieve documentation

Retrieves a documentation resource with the specified parameters.

Endpoint

GET /charges?limit=10&status=captured
GET/charges?limit=10&status=captured
curl -X GET https://api.forhopp.com/v1/charges?limit=10&status=captured \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create documentation

Creates a documentation resource with the specified parameters.

Endpoint

POST /charges/{charge_id}/capture
POST/charges/{charge_id}/capture
curl -X POST https://api.forhopp.com/v1/charges/{charge_id}/capture \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create documentation

Creates a documentation resource with the specified parameters.

Endpoint

POST /charges/{charge_id}/refunds
POST/charges/{charge_id}/refunds
curl -X POST https://api.forhopp.com/v1/charges/{charge_id}/refunds \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create documentation

Creates a documentation resource with the specified parameters.

Endpoint

POST /webhooks
POST/webhooks
curl -X POST https://api.forhopp.com/v1/webhooks \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create documentation

Creates a documentation resource with the specified parameters.

Endpoint

POST /keys
POST/keys
curl -X POST https://api.forhopp.com/v1/keys \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Retrieve documentation

Retrieves a documentation resource with the specified parameters.

Endpoint

GET /keys
GET/keys
curl -X GET https://api.forhopp.com/v1/keys \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Documentation

Retrieves a documentation resource with the specified parameters.

Endpoint

DELETE /keys/{key_id}
DELETE/keys/{key_id}
curl -X DELETE https://api.forhopp.com/v1/keys/{key_id} \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create documentation

Creates a documentation resource with the specified parameters.

Endpoint

POST /charges
POST/charges
curl -X POST https://api.forhopp.com/v1/charges \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create authentication

Creates a authentication resource with the specified parameters.

Endpoint

POST /api/v1/connect/keys

Parameters

namestringrequired

The name parameter.

environmentstringrequired

The environment parameter.

POST/api/v1/connect/keys
curl -X POST https://api.forhopp.com/v1/api/v1/connect/keys \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Production Key",
  "environment": "live"
}'

Authentication

Retrieves a authentication resource with the specified parameters.

Endpoint

DELETE /api/v1/connect/keys/{id}
DELETE/api/v1/connect/keys/{id}
curl -X DELETE https://api.forhopp.com/v1/api/v1/connect/keys/{id} \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Retrieve authentication

Retrieves a authentication resource with the specified parameters.

Endpoint

GET /api/v1/connect/keys
GET/api/v1/connect/keys
curl -X GET https://api.forhopp.com/v1/api/v1/connect/keys \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create charges

Creates a charges resource with the specified parameters.

Endpoint

POST /api/v1/connect/charges

Parameters

amountnumberrequired

The amount parameter.

currencystringrequired

The currency parameter.

descriptionstringrequired

The description parameter.

metadataobjectrequired

The metadata parameter.

returnUrlstringrequired

The returnUrl parameter.

cancelUrlstringrequired

The cancelUrl parameter.

POST/api/v1/connect/charges
curl -X POST https://api.forhopp.com/v1/api/v1/connect/charges \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 5000,
  "currency": "usd",
  "description": "Order #12345",
  "metadata": {
    "order_id": "12345",
    "customer_email": "customer@example.com"
  },
  "returnUrl": "https://merchant.com/success",
  "cancelUrl": "https://merchant.com/cancel"
}'

Retrieve charges

Retrieves a charges resource with the specified parameters.

Endpoint

GET /api/v1/connect/charges/ch_xxx
GET/api/v1/connect/charges/ch_xxx
curl -X GET https://api.forhopp.com/v1/api/v1/connect/charges/ch_xxx \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Retrieve charges

Retrieves a charges resource with the specified parameters.

Endpoint

GET /api/v1/connect/charges?status=captured&limit=25&created_after=1711814400
GET/api/v1/connect/charges?status=captured&limit=25&created_after=1711814400
curl -X GET https://api.forhopp.com/v1/api/v1/connect/charges?status=captured&limit=25&created_after=1711814400 \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create charges

Creates a charges resource with the specified parameters.

Endpoint

POST /api/v1/connect/charges/ch_xxx/capture
POST/api/v1/connect/charges/ch_xxx/capture
curl -X POST https://api.forhopp.com/v1/api/v1/connect/charges/ch_xxx/capture \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create charges

Creates a charges resource with the specified parameters.

Endpoint

POST /api/v1/connect/charges/ch_xxx/capture

Parameters

amountnumberrequired

The amount parameter.

POST/api/v1/connect/charges/ch_xxx/capture
curl -X POST https://api.forhopp.com/v1/api/v1/connect/charges/ch_xxx/capture \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 3000
}'

Create charges

Creates a charges resource with the specified parameters.

Endpoint

POST /api/v1/connect/charges/ch_xxx/refunds
POST/api/v1/connect/charges/ch_xxx/refunds
curl -X POST https://api.forhopp.com/v1/api/v1/connect/charges/ch_xxx/refunds \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create charges

Creates a charges resource with the specified parameters.

Endpoint

POST /api/v1/connect/charges/ch_xxx/refunds

Parameters

amountnumberrequired

The amount parameter.

reasonstringrequired

The reason parameter.

POST/api/v1/connect/charges/ch_xxx/refunds
curl -X POST https://api.forhopp.com/v1/api/v1/connect/charges/ch_xxx/refunds \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 2500,
  "reason": "customer_request"
}'

Retrieve hosted checkout

Retrieves a hosted checkout resource with the specified parameters.

Endpoint

GET /checkout/ch_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6
GET/checkout/ch_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6
curl -X GET https://api.forhopp.com/v1/checkout/ch_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6 \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create hosted checkout

Creates a hosted checkout resource with the specified parameters.

Endpoint

POST /checkout/ch_xxx/complete

Parameters

paymentMethodstringrequired

The paymentMethod parameter.

paymentMethodDetailsobjectrequired

The paymentMethodDetails parameter.

POST/checkout/ch_xxx/complete
curl -X POST https://api.forhopp.com/v1/checkout/ch_xxx/complete \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "paymentMethod": "card",
  "paymentMethodDetails": {
    "card_number": "4242424242424242",
    "exp_month": 12,
    "exp_year": 2030,
    "cvc": "123"
  }
}'

Retrieve payouts

Retrieves a payouts resource with the specified parameters.

Endpoint

GET /api/v1/connect/balance
GET/api/v1/connect/balance
curl -X GET https://api.forhopp.com/v1/api/v1/connect/balance \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create recurring billing

Creates a recurring billing resource with the specified parameters.

Endpoint

POST /api/v1/connect/tax-rates

Parameters

percentagestringrequired

The percentage parameter.

display_namestringrequired

The display_name parameter.

jurisdictionstringrequired

The jurisdiction parameter.

inclusivebooleanrequired

The inclusive parameter.

countrystringrequired

The country parameter.

statestringrequired

The state parameter.

POST/api/v1/connect/tax-rates
curl -X POST https://api.forhopp.com/v1/api/v1/connect/tax-rates \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "percentage": "8.875",
  "display_name": "NY Sales Tax",
  "jurisdiction": "US-NY",
  "inclusive": false,
  "country": "US",
  "state": "NY"
}'

Create recurring billing

Creates a recurring billing resource with the specified parameters.

Endpoint

POST /api/v1/connect/portal-sessions

Parameters

customer_idstringrequired

The customer_id parameter.

return_urlstringrequired

The return_url parameter.

POST/api/v1/connect/portal-sessions
curl -X POST https://api.forhopp.com/v1/api/v1/connect/portal-sessions \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "customer_id": "cus_xxx",
  "return_url": "https://merchant.com/account"
}'

Create recurring billing

Creates a recurring billing resource with the specified parameters.

Endpoint

POST /api/v1/connect/plans
POST/api/v1/connect/plans
curl -X POST https://api.forhopp.com/v1/api/v1/connect/plans \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create recurring billing

Creates a recurring billing resource with the specified parameters.

Endpoint

POST /api/v1/connect/plans/{planId}/prices
POST/api/v1/connect/plans/{planId}/prices
curl -X POST https://api.forhopp.com/v1/api/v1/connect/plans/{planId}/prices \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create recurring billing

Creates a recurring billing resource with the specified parameters.

Endpoint

POST /api/v1/connect/customers/{customerId}/payment-methods
POST/api/v1/connect/customers/{customerId}/payment-methods
curl -X POST https://api.forhopp.com/v1/api/v1/connect/customers/{customerId}/payment-methods \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create subscription addons

Creates a subscription addons resource with the specified parameters.

Endpoint

POST /api/v1/connect/subscriptions/sub_xxx/items

Parameters

priceIdstringrequired

The priceId parameter.

quantitynumberrequired

The quantity parameter.

prorationBehaviorstringrequired

The prorationBehavior parameter.

metadataobjectrequired

The metadata parameter.

POST/api/v1/connect/subscriptions/sub_xxx/items
curl -X POST https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx/items \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "priceId": "price_addon123",
  "quantity": 2,
  "prorationBehavior": "defer_to_next_cycle",
  "metadata": { "feature": "extra_storage" }
}'

Subscription Addons

Retrieves a subscription addons resource with the specified parameters.

Endpoint

PATCH /api/v1/connect/subscriptions/sub_xxx/items/si_item_xxx

Parameters

quantitynumberrequired

The quantity parameter.

PATCH/api/v1/connect/subscriptions/sub_xxx/items/si_item_xxx
curl -X PATCH https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx/items/si_item_xxx \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{ "quantity": 5 }'

Subscription Addons

Retrieves a subscription addons resource with the specified parameters.

Endpoint

DELETE /api/v1/connect/subscriptions/sub_xxx/items/si_item_xxx?immediate=false
DELETE/api/v1/connect/subscriptions/sub_xxx/items/si_item_xxx?immediate=false
curl -X DELETE https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx/items/si_item_xxx?immediate=false \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create subscription checkout flow

Creates a subscription checkout flow resource with the specified parameters.

Endpoint

POST /api/v1/connect/plans

Parameters

namestringrequired

The name parameter.

descriptionstringrequired

The description parameter.

POST/api/v1/connect/plans
curl -X POST https://api.forhopp.com/v1/api/v1/connect/plans \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{ "name": "SaaS Pro Plan", "description": "Full access to our platform" }'

Create subscription checkout flow

Creates a subscription checkout flow resource with the specified parameters.

Endpoint

POST /api/v1/connect/plans/plan_a1b2c3d4/prices

Parameters

amount_centsnumberrequired

The amount_cents parameter.

currencystringrequired

The currency parameter.

intervalstringrequired

The interval parameter.

interval_countnumberrequired

The interval_count parameter.

POST/api/v1/connect/plans/plan_a1b2c3d4/prices
curl -X POST https://api.forhopp.com/v1/api/v1/connect/plans/plan_a1b2c3d4/prices \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{ "amount_cents": 2000, "currency": "USD", "interval": "monthly", "interval_count": 1 }'

Create subscription checkout flow

Creates a subscription checkout flow resource with the specified parameters.

Endpoint

POST /api/v1/connect/webhooks

Parameters

urlstringrequired

The url parameter.

eventsobjectrequired

The events parameter.

POST/api/v1/connect/webhooks
curl -X POST https://api.forhopp.com/v1/api/v1/connect/webhooks \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "url": "https://my-saas.com/api/webhooks/forhopp",
  "events": [
    "charge.captured",
    "subscription.created",
    "invoice.paid",
    "invoice.payment_failed",
    "subscription.canceled"
  ]
}'

Create subscription checkout flow

Creates a subscription checkout flow resource with the specified parameters.

Endpoint

POST /api/v1/connect/customers

Parameters

emailstringrequired

The email parameter.

namestringrequired

The name parameter.

POST/api/v1/connect/customers
curl -X POST https://api.forhopp.com/v1/api/v1/connect/customers \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{ "email": "john@example.com", "name": "John Doe" }'

Create subscription checkout flow

Creates a subscription checkout flow resource with the specified parameters.

Endpoint

POST /api/v1/connect/charges

Parameters

amountnumberrequired

The amount parameter.

currencystringrequired

The currency parameter.

descriptionstringrequired

The description parameter.

customerEmailstringrequired

The customerEmail parameter.

metadataobjectrequired

The metadata parameter.

returnUrlstringrequired

The returnUrl parameter.

cancelUrlstringrequired

The cancelUrl parameter.

POST/api/v1/connect/charges
curl -X POST https://api.forhopp.com/v1/api/v1/connect/charges \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 2000,
  "currency": "usd",
  "description": "SaaS Pro Plan - Monthly Subscription",
  "customerEmail": "john@example.com",
  "metadata": {
    "customer_id": "cus_xxx",
    "price_id": "price_x1y2z3",
    "intent": "subscription"
  },
  "returnUrl": "https://my-saas.com/payment/success?session={CHARGE_ID}",
  "cancelUrl": "https://my-saas.com/pricing"
}'

Create subscription checkout flow

Creates a subscription checkout flow resource with the specified parameters.

Endpoint

POST /api/v1/connect/subscriptions

Parameters

customer_idstringrequired

The customer_id parameter.

price_idstringrequired

The price_id parameter.

POST/api/v1/connect/subscriptions
curl -X POST https://api.forhopp.com/v1/api/v1/connect/subscriptions \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "customer_id": "cus_xxx",
  "price_id": "price_x1y2z3"
}'

Create subscription checkout flow

Creates a subscription checkout flow resource with the specified parameters.

Endpoint

POST /api/v1/connect/charges

Parameters

amountnumberrequired

The amount parameter.

currencystringrequired

The currency parameter.

descriptionstringrequired

The description parameter.

customerEmailstringrequired

The customerEmail parameter.

metadataobjectrequired

The metadata parameter.

returnUrlstringrequired

The returnUrl parameter.

cancelUrlstringrequired

The cancelUrl parameter.

POST/api/v1/connect/charges
curl -X POST https://api.forhopp.com/v1/api/v1/connect/charges \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 5000,
  "currency": "usd",
  "description": "50 AI Credits Pack",
  "customerEmail": "john@example.com",
  "metadata": {
    "intent": "one_time",
    "product": "ai_credits_50"
  },
  "returnUrl": "https://my-saas.com/purchase/success",
  "cancelUrl": "https://my-saas.com/store"
}'

Retrieve subscription checkout flow

Retrieves a subscription checkout flow resource with the specified parameters.

Endpoint

GET /api/v1/connect/balance
GET/api/v1/connect/balance
curl -X GET https://api.forhopp.com/v1/api/v1/connect/balance \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Retrieve subscription checkout flow

Retrieves a subscription checkout flow resource with the specified parameters.

Endpoint

GET /api/v1/connect/subscriptions
GET/api/v1/connect/subscriptions
curl -X GET https://api.forhopp.com/v1/api/v1/connect/subscriptions \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Retrieve subscription checkout flow

Retrieves a subscription checkout flow resource with the specified parameters.

Endpoint

GET /api/v1/connect/invoices
GET/api/v1/connect/invoices
curl -X GET https://api.forhopp.com/v1/api/v1/connect/invoices \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create subscription checkout flow

Creates a subscription checkout flow resource with the specified parameters.

Endpoint

POST /api/v1/connect/subscriptions/sub_xxx/cancel?at_period_end=true
POST/api/v1/connect/subscriptions/sub_xxx/cancel?at_period_end=true
curl -X POST https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx/cancel?at_period_end=true \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create subscriptions

Creates a subscriptions resource with the specified parameters.

Endpoint

POST /api/v1/connect/subscriptions

Parameters

customer_idstringrequired

The customer_id parameter.

price_idstringrequired

The price_id parameter.

collection_methodstringrequired

The collection_method parameter.

tax_rate_idstringrequired

The tax_rate_id parameter.

metadataobjectrequired

The metadata parameter.

POST/api/v1/connect/subscriptions
curl -X POST https://api.forhopp.com/v1/api/v1/connect/subscriptions \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "customer_id": "cus_abc123",
  "price_id": "price_xyz789",
  "collection_method": "charge_automatically",
  "tax_rate_id": "txr_xxx",
  "metadata": { "plan_name": "Pro" }
}'

Retrieve subscriptions

Retrieves a subscriptions resource with the specified parameters.

Endpoint

GET /api/v1/connect/subscriptions
GET/api/v1/connect/subscriptions
curl -X GET https://api.forhopp.com/v1/api/v1/connect/subscriptions \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Retrieve subscriptions

Retrieves a subscriptions resource with the specified parameters.

Endpoint

GET /api/v1/connect/subscriptions/sub_xxx
GET/api/v1/connect/subscriptions/sub_xxx
curl -X GET https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create subscriptions

Creates a subscriptions resource with the specified parameters.

Endpoint

POST /api/v1/connect/subscriptions/sub_xxx/cancel?at_period_end=true
POST/api/v1/connect/subscriptions/sub_xxx/cancel?at_period_end=true
curl -X POST https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx/cancel?at_period_end=true \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create subscriptions

Creates a subscriptions resource with the specified parameters.

Endpoint

POST /api/v1/connect/subscriptions/sub_xxx/pause
POST/api/v1/connect/subscriptions/sub_xxx/pause
curl -X POST https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx/pause \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create subscriptions

Creates a subscriptions resource with the specified parameters.

Endpoint

POST /api/v1/connect/subscriptions/sub_xxx/resume
POST/api/v1/connect/subscriptions/sub_xxx/resume
curl -X POST https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx/resume \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Subscriptions

Retrieves a subscriptions resource with the specified parameters.

Endpoint

PATCH /api/v1/connect/subscriptions/sub_xxx

Parameters

price_idstringrequired

The price_id parameter.

proration_behaviorstringrequired

The proration_behavior parameter.

metadataobjectrequired

The metadata parameter.

PATCH/api/v1/connect/subscriptions/sub_xxx
curl -X PATCH https://api.forhopp.com/v1/api/v1/connect/subscriptions/sub_xxx \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "price_id": "price_new456",
  "proration_behavior": "create_prorations",
  "metadata": { "upgrade_reason": "user_requested" }
}'

Retrieve subscriptions

Retrieves a subscriptions resource with the specified parameters.

Endpoint

GET /api/v1/connect/balance
GET/api/v1/connect/balance
curl -X GET https://api.forhopp.com/v1/api/v1/connect/balance \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{}'

Create webhooks

Creates a webhooks resource with the specified parameters.

Endpoint

POST /api/v1/connect/webhooks

Parameters

urlstringrequired

The url parameter.

eventsobjectrequired

The events parameter.

descriptionstringrequired

The description parameter.

POST/api/v1/connect/webhooks
curl -X POST https://api.forhopp.com/v1/api/v1/connect/webhooks \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "url": "https://merchant.com/webhooks/forhopppay",
  "events": ["charge.completed", "charge.refunded", "charge.disputed"],
  "description": "Production webhook"
}'